function::proc_mem_data
Prev | Chapter 6. Memory Tapset | Next

## Name

function::proc_mem_data — Program data size (data + stack) in pages

## Synopsis

    1) proc_mem_data:long()

    2) proc_mem_data:long(pid:long)

## Arguments

`pid`

  The pid of process to examine

## Description

1) Returns the current process data size (data + stack) in pages, or zero when there is no current process or the number of pages couldn't be retrieved.

2) Returns the given process data size (data + stack) in pages, or zero when the process doesn't exist or the number of pages couldn't be retrieved.

Prev | Up | Next
function::pages_to_string | Home | function::proc_mem_rss